﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using Phone文件关联.Resources;
using Windows.Phone.Storage.SharedAccess;
using Windows.Storage;
using System.IO;

namespace Phone文件关联
{
    public partial class MainPage : PhoneApplicationPage
    {
        // 构造函数
        public MainPage()
        {
            InitializeComponent();
        }

        protected async override void OnNavigatedTo(NavigationEventArgs e)
        {
            //获取URI参数
            IDictionary<string, string> queryStrings = NavigationContext.QueryString;

            if (queryStrings.ContainsKey("fileToke"))
            {
                var fileToke = queryStrings["fileToke"];
                //获取文件名
                var fileName = SharedStorageAccessManager.GetSharedFileName(fileToke);
                //本地文件夹
                var localFolder = Windows.Storage.ApplicationData.Current.LocalFolder;
                //将文件拷贝到本地文件夹同名文件中
                var file = await SharedStorageAccessManager.CopySharedFileAsync(localFolder, fileName, NameCollisionOption.ReplaceExisting, fileToke);
                var stream = await file.OpenAsync(FileAccessMode.Read);

                StreamReader s = new StreamReader(stream.AsStream(), System.Text.Encoding.Unicode);
                var fileText = s.ReadToEnd();
                MessageBox.Show("文件名：" + fileName + "\n内容：" + fileText);
            }
            base.OnNavigatedTo(e);
        }

    }
}